<?php

declare(strict_types=1);

namespace Dedi\SyliusDpdPickUpPlugin\Entity;

use Doctrine\ORM\Mapping as ORM;

trait ShippingMethodTrait
{
    /** @ORM\Column(name="dpd_pick_up", type="boolean", nullable=false, options={"default":"0"}) */
    private bool $dpdPickUp = false;

    public function isDpdPickUp(): bool
    {
        return $this->dpdPickUp;
    }

    public function setDpdPickUp(bool $dpdPickUp): ShippingMethodInterface
    {
        $this->dpdPickUp = $dpdPickUp;

        return $this;
    }
}
